aboutsummaryrefslogtreecommitdiff
path: root/reg_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'reg_test.sh')
-rwxr-xr-xreg_test.sh34
1 files changed, 22 insertions, 12 deletions
diff --git a/reg_test.sh b/reg_test.sh
index 2a73fc511..8177096a8 100755
--- a/reg_test.sh
+++ b/reg_test.sh
@@ -9,7 +9,7 @@ if ! eval diff -u tar.c testdir ; then
echo "Bummer. File copy failed."
exit 0
else
- echo "Cool. File copy is ok."
+ echo "Cool. 'cp tar.c testdir' is ok."
fi
rm -rf testdir
@@ -20,7 +20,7 @@ if ! eval diff -u tar.c testdir/foo/tar.c ; then
echo "Bummer. File copy to a directory failed."
exit 0
else
- echo "Cool. File copy to a directory is ok."
+ echo "Cool. 'cp tar.c testdir/foo' is ok."
fi
@@ -32,7 +32,7 @@ if ! eval diff -u tar.c testdir/foo/tar.c ; then
echo "Bummer. File copy to a directory w/ a '/' failed."
exit 0
else
- echo "Cool. File copy to a directory w/ a '/' is ok."
+ echo "Cool. 'cp tar.c testdir/foo/' is ok."
fi
@@ -44,7 +44,7 @@ if ! eval diff -ur X11 testdir ; then
echo "Bummer. Local dir copy failed."
exit 0
else
- echo "Cool. Local dir copy is ok."
+ echo "Cool. 'cp -a X11 testdir' is ok."
fi
rm -rf testdir X11
@@ -55,7 +55,7 @@ if ! eval diff -ur X11 testdir ; then
echo "Bummer. Local dir copy w/ a '/' failed."
exit 0
else
- echo "Cool. Local dir copy w/ a '/' is ok."
+ echo "Cool. 'cp -a X11 testdir/' is ok."
fi
rm -rf testdir X11
@@ -66,7 +66,7 @@ if ! eval diff -ur X11 testdir ; then
echo "Bummer. Local dir copy w/ a src '/' failed."
exit 0
else
- echo "Cool. Local dir copy w/ a src '/' is ok."
+ echo "Cool. 'cp -a X11/ testdir' is ok."
fi
rm -rf testdir X11
@@ -77,7 +77,7 @@ if ! eval diff -ur X11 testdir ; then
echo "Bummer. Local dir copy w/ 2x '/'s failed."
exit 0
else
- echo "Cool. Local dir copy w/ 2x '/'s is ok."
+ echo "Cool. 'cp -a X11/ testdir/' is ok."
fi
rm -rf testdir X11
@@ -86,7 +86,7 @@ if ! eval diff -ur /etc/X11 testdir ; then
echo "Bummer. Remote dir copy failed."
exit 0
else
- echo "Cool. Remote dir copy is ok."
+ echo "Cool. 'cp -a /etc/X11 testdir' is ok."
fi
@@ -98,7 +98,7 @@ if ! eval diff -ur /etc/X11 testdir/foo ; then
echo "Bummer. Remote dir copy to a directory failed."
exit 0
else
- echo "Cool. Remote dir copy to a directory is ok."
+ echo "Cool. 'cp -a /etc/X11 testdir/foo' is ok."
fi
@@ -110,7 +110,7 @@ if ! eval diff -ur /etc/X11 testdir/foo ; then
echo "Bummer. Remote dir copy to a directory w/ a '/' failed."
exit 0
else
- echo "Cool. Remote dir copy to a directory w/ a '/' is ok."
+ echo "Cool. 'cp -a /etc/X11 testdir/foo/' is ok."
fi
rm -rf testdir
@@ -124,14 +124,24 @@ if ! eval ./busybox cp README foo ; then
echo "Bummer. cp README foo failed."
exit 0
else
- echo "Cool. cp README foo is ok."
+ echo "Cool. 'cp README foo' is ok."
fi
if ! eval ./busybox cp foo/README bar ; then
echo "Bummer. cp foo/README bar failed."
exit 0
else
- echo "Cool. cp foo/README bar is ok."
+ echo "Cool. 'cp foo/README bar' is ok."
+fi
+
+rm -f bar/README
+ENVVAR1=foo
+ENVVAR2=bar
+if ! eval ./busybox cp $ENVVAR1/README $ENVVAR2 ; then
+ echo "Bummer. cp foo/README bar failed."
+ exit 0
+else
+ echo "Cool. 'cp \$ENVVAR1/README \$ENVVAR2' is ok."
fi
rm -rf foo bar